<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for XNormalizationScriptInfo StructType
 * @subpackage Structs
 */
class XNormalizationScriptInfo extends AbstractStructBase
{
    /**
     * The parameterName
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - default: 0
     * - maxLength: 128
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $parameterName;
    /**
     * The parameterValue
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - default: 0
     * - maxLength: 128
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $parameterValue;
    /**
     * Constructor method for XNormalizationScriptInfo
     * @uses XNormalizationScriptInfo::setParameterName()
     * @uses XNormalizationScriptInfo::setParameterValue()
     * @param string $parameterName
     * @param string $parameterValue
     */
    public function __construct($parameterName = '0', $parameterValue = '0')
    {
        $this
            ->setParameterName($parameterName)
            ->setParameterValue($parameterValue);
    }
    /**
     * Get parameterName value
     * @return string|null
     */
    public function getParameterName()
    {
        return $this->parameterName;
    }
    /**
     * Set parameterName value
     * @param string $parameterName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XNormalizationScriptInfo
     */
    public function setParameterName($parameterName = '0')
    {
        $this->parameterName = $parameterName;
        return $this;
    }
    /**
     * Get parameterValue value
     * @return string|null
     */
    public function getParameterValue()
    {
        return $this->parameterValue;
    }
    /**
     * Set parameterValue value
     * @param string $parameterValue
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XNormalizationScriptInfo
     */
    public function setParameterValue($parameterValue = '0')
    {
        $this->parameterValue = $parameterValue;
        return $this;
    }
}
